# passctl

`passctl` is a small Go CLI for looking up data on CPU/GPU benchmarks from PassMark's benchmark database.

## Build

```sh
go build -buildvcs=false -o passctl .
```

Use `-buildvcs=false` when building outside a Git checkout.

## Usage

```sh
./passctl --cpu "Ryzen 3600x"
./passctl --gpu "Radeon RX 6650 XT"
```

- `--cpu`: search PassMark CPU benchmarks
- `--gpu`: search PassMark GPU benchmarks

PassMark may return anti-bot or challenge pages from some networks. When that happens, `passctl` exits with a clear error to let you know you have been rate limited.
